/* Races Table
Version:	0.1
*/
DROP TABLE IF EXISTS "Races";

CREATE TABLE Races (
RaceID           INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE,
RaceName         VARCHAR(255),
RacePlural       VARCHAR(255),
RaceAdjective	   VARCHAR(255),
Willpower        INTEGER,
Arrogance        INTEGER,
Aggressiveness   INTEGER,
Xenophobia       INTEGER,
Atmosphere       INTEGER,
ImageName        VARCHAR(255),
GovtScope        VARCHAR(255),
GovtMod          VARCHAR(255),
FlagName         VARCHAR(255),
IntelMod         INTEGER,
GroundCombatMod  INTEGER,
SpaceCombatMod   INTEGER,
ResearchMod      INTEGER,
TaxRate          REAL,
IsPlayer		 BOOLEAN,
RGB				 VARCHAR(255),
NamePattern		 VARCHAR(255),
/* Foreign keys */
FOREIGN KEY (Atmosphere)
REFERENCES Atmosphere(AtmosphereID)
ON DELETE NO ACTION
ON UPDATE NO ACTION
);